Loading...
Searching...
No Matches
dolfin::TrilinosPreconditioner Class Referenceabstract

This class provides a common base for Trilinos preconditioners. More...

`#include <TrilinosPreconditioner.h>`

Inheritance diagram for dolfin::TrilinosPreconditioner:
[legend]

## Public Member Functions

| TrilinosPreconditioner ()
| Constructor.
| ~TrilinosPreconditioner ()
| Destructor.
virtual void | set (BelosKrylovSolver &solver)=0
| Set this preconditioner on a solver.
virtual void | init (std::shared_ptr< const TpetraMatrix > P)=0
| Initialise this preconditioner with the operator P.

## Detailed Description

This class provides a common base for Trilinos preconditioners.

## Member Function Documentation

## init()

virtual void dolfin::TrilinosPreconditioner::init | ( | std::shared_ptr< const TpetraMatrix > | P | ) |

pure virtual

Initialise this preconditioner with the operator P.

Implemented in dolfin::Ifpack2Preconditioner, and dolfin::MueluPreconditioner.

## set()

virtual void dolfin::TrilinosPreconditioner::set | ( | BelosKrylovSolver & | solver | ) |

pure virtual

Set this preconditioner on a solver.

Implemented in dolfin::Ifpack2Preconditioner, and dolfin::MueluPreconditioner.

The documentation for this class was generated from the following file:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/la/TrilinosPreconditioner.h